Bug 806645 - [abrt] kernel: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3334!
[abrt] kernel: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3334!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:8a5b8130fb79867e0935581b68c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 13:27 EDT by Tomas Hamal
Modified: 2013-02-13 03:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (2.36 KB, text/plain)
2012-03-25 13:27 EDT, Tomas Hamal
no flags Details

  None (edit)
Description Tomas Hamal 2012-03-25 13:27:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.0-4.fc16.i686 root=UUID=a5376f66-c10f-46fd-9c16-58ca531cad02 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=cz-us-qwertz quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=cs_CZ.UTF-8
comment:        I turned on PC, and after boot in logscreen system freezed
kernel:         3.3.0-4.fc16.i686
reason:         kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3334!
time:           Ne 25. březen 2012, 18:39:59 CEST

smolt_data:     Binary file, 2415 bytes

backtrace:
:kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3334!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: snd_seq_dummy nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables tun lockd be2iscsi iscsi_boot_sysfs bnx2i cnic fcoe libfcoe libfc scsi_transport_fc scsi_tgt uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm 8021q garp stp llc ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi fschmd fuse snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer sunrpc snd soundcore snd_page_alloc ppdev parport_pc parport binfmt_misc microcode serio_raw i2c_i801 iTCO_wdt iTCO_vendor_support tg3 uinput i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 31045, comm: gnome-shell Not tainted 3.3.0-4.fc16.i686 #1 FUJITSU SIEMENS ESPRIMO C/D1784  
:EIP: 0060:[<f7e53ed6>] EFLAGS: 00010246 CPU: 1
:EIP is at i915_gem_object_pin+0x136/0x190 [i915]
:EAX: 000be43a EBX: e958e400 ECX: 0001e000 EDX: 00000000
:ESI: 00000000 EDI: 00000000 EBP: f6673d44 ESP: f6673d10
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process gnome-shell (pid: 31045, ti=f6672000 task=c5c03ed0 task.ti=f6672000)
:Stack:
: 00b5b8c6 00000000 36d907cc 0000187a 0000187a f520726c 00000000 0001e000
: d5982040 f4cbe000 e958e400 00000000 00000000 f6673d70 f7e566ee 00000000
: f4cbe028 f6673df8 0148c900 d5be7a78 f4e5da78 f6673e88 d5be7a78 00000008
:Call Trace:
: [<f7e566ee>] i915_gem_execbuffer_reserve+0x14e/0x320 [i915]
: [<f7e571b8>] i915_gem_do_execbuffer+0x508/0x1110 [i915]
: [<f7e53ebc>] ? i915_gem_object_pin+0x11c/0x190 [i915]
: [<c0462f72>] ? check_preempt_curr+0x72/0x90
: [<c042e59e>] ? kmap_atomic_prot_pfn+0x9e/0xe0
: [<f7e54240>] ? i915_gem_pwrite_ioctl+0xf0/0xa70 [i915]
: [<c05243bd>] ? __kmalloc+0x18d/0x1e0
: [<f7e582c1>] i915_gem_execbuffer2+0x61/0x210 [i915]
: [<f7d3fcf8>] drm_ioctl+0x378/0x480 [drm]
: [<f7e58260>] ? i915_gem_execbuffer+0x4a0/0x4a0 [i915]
: [<c0656c28>] ? timerqueue_add+0x58/0xb0
: [<f7d3f980>] ? drm_copy_field+0x80/0x80 [drm]
: [<c0544a62>] do_vfs_ioctl+0x82/0x5a0
: [<c04a724e>] ? __audit_syscall_exit+0x36e/0x3a0
: [<c04a724e>] ? __audit_syscall_exit+0x36e/0x3a0
: [<c0544fef>] sys_ioctl+0x6f/0x80
: [<c092e7b4>] syscall_call+0x7/0xb
: [<c0920000>] ? start_secondary+0x237/0x28d
:Code: 58 12 00 00 89 f8 81 c1 54 12 00 00 e8 e4 c9 80 c8 eb 8a 66 90 89 f0 0f b6 c8 89 d8 e8 64 cc ff ff 85 c0 0f 84 4c ff ff ff eb 93 <0f> 0b 0f b6 83 82 00 00 00 89 f1 89 54 24 10 c7 44 24 08 7c c7
Comment 1 Tomas Hamal 2012-03-25 13:27:54 EDT
Created attachment 572547 [details]
File: smolt_data
Comment 2 Carl Byington 2012-03-27 00:42:46 EDT
I have the same problem on three different machines. After boot, the first login works and the machine works normally. For me, the crash happens on logout.

/var/spool/abrt/oops-2012-03-24-21:34:17-809-0/backtrace:

kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3334!
invalid opcode: 0000 [#1] SMP 
CPU 1 
Modules linked in: fuse ppdev parport_pc lp parport lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 ip6_tables xt_state nf_conntrack snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd e100 iTCO_wdt mii soundcore i2c_i801 uinput serio_raw sunrpc binfmt_misc microcode iTCO_vendor_support snd_page_alloc dcdbas i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Pid: 1950, comm: gnome-shell Not tainted 3.3.0-4.fc16.x86_64 #1 Dell Inc.                 Dell DV051                   /0WJ770
RIP: 0010:[<ffffffffa008bc0c>]  [<ffffffffa008bc0c>] i915_gem_object_pin+0x15c/0x1a0 [i915]
RSP: 0018:ffff880061061b68  EFLAGS: 00010246
RAX: 00000000000fe41a RBX: ffff8800768dbe00 RCX: 0000000000000001
RDX: 000000000001e000 RSI: 0000000000000000 RDI: ffff8800768dbe00
RBP: ffff880061061b98 R08: ffff88007b837710 R09: 0000000000000000
R10: ffff880078524e40 R11: 0000000000000060 R12: 0000000000000000
R13: 0000000000000000 R14: ffff88007b836000 R15: 0000000000000008
FS:  00007fca6869c9c0(0000) GS:ffff88007f440000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000002c128c8 CR3: 000000006587f000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process gnome-shell (pid: 1950, threadinfo ffff880061060000, task ffff88007afd0000)
Stack:
 ffff880065bc7700 ffff880065bc7700 ffff8800768dbe00 ffff880061061bc8
 ffff880061061ce0 ffff880078524e01 ffff880061061c08 ffffffffa008e955
 ffff880061061c08 ffffffff8116cbcc 0000000061061bd8 ffff88007b836040
Call Trace:
 [<ffffffffa008e955>] i915_gem_execbuffer_reserve+0x185/0x370 [i915]
 [<ffffffff8116cbcc>] ? __kmalloc+0x13c/0x1a0
 [<ffffffffa008f560>] i915_gem_do_execbuffer+0x650/0x1610 [i915]
 [<ffffffffa0088d5f>] ? i915_wait_request+0x8f/0x520 [i915]
 [<ffffffffa0089222>] ? i915_gem_object_wait_rendering+0x32/0x40 [i915]
 [<ffffffff8116cbdd>] ? __kmalloc+0x14d/0x1a0
 [<ffffffffa00909e3>] i915_gem_execbuffer2+0xa3/0x260 [i915]
 [<ffffffffa0022464>] drm_ioctl+0x444/0x510 [drm]
 [<ffffffffa0090940>] ? i915_gem_execbuffer+0x420/0x420 [i915]
 [<ffffffff8126c160>] ? inode_has_perm+0x30/0x40
 [<ffffffff8126f3fc>] ? file_has_perm+0xdc/0xf0
 [<ffffffff81193498>] do_vfs_ioctl+0x98/0x550
 [<ffffffff811939e1>] sys_ioctl+0x91/0xa0
 [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b
Code: e8 aa 8c 24 e1 e9 81 ff ff ff 0f 1f 44 00 00 41 0f b6 d5 44 89 e6 48 89 df e8 61 c4 ff ff 85 c0 0f 84 3d ff ff ff e9 82 ff ff ff <0f> 0b 0f b6 83 e2 00 00 00 8b 8b 20 01 00 00 45 0f b6 cd 45 89 
RIP  [<ffffffffa008bc0c>] i915_gem_object_pin+0x15c/0x1a0 [i915]
 RSP <ffff880061061b68>
Comment 3 Fedora End Of Life 2013-01-16 05:03:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 03:18:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.